<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): tiglCommunicationMonitor.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_5923310312939235796ca11289acda83.html">common</a></li><li class="navelem"><a class="el" href="dir_d89ec3ddd84898ed9313f7a84ea735df.html">communication</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">tiglCommunicationMonitor.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="tiglCommunication_8hpp_source.html">tiglCommunication.hpp</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga23cfdef6309f15a92a5a79ff1d4e77d8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__routines.html#ga23cfdef6309f15a92a5a79ff1d4e77d8">TIGLCommunicationExistMutationMessages</a> ()</td></tr>
<tr class="memdesc:ga23cfdef6309f15a92a5a79ff1d4e77d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if there exist messages from any source with any tag.  <a href="group__comm__routines.html#ga23cfdef6309f15a92a5a79ff1d4e77d8">More...</a><br /></td></tr>
<tr class="separator:ga23cfdef6309f15a92a5a79ff1d4e77d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadf306c4991fc833186b65c8700815f74"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__routines.html#gadf306c4991fc833186b65c8700815f74">TIGLCommunicationExistMessages</a> ()</td></tr>
<tr class="memdesc:gadf306c4991fc833186b65c8700815f74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if there exist messages from any source with any tag.  <a href="group__comm__routines.html#gadf306c4991fc833186b65c8700815f74">More...</a><br /></td></tr>
<tr class="separator:gadf306c4991fc833186b65c8700815f74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0b62b3e3bd409568170396a2b56e8e1d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__routines.html#ga0b62b3e3bd409568170396a2b56e8e1d">TIGLCommunicationExistMessages</a> (int *tag, int *dev, int *messageSize)</td></tr>
<tr class="memdesc:ga0b62b3e3bd409568170396a2b56e8e1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if there exist messages from any source with any tag.  <a href="group__comm__routines.html#ga0b62b3e3bd409568170396a2b56e8e1d">More...</a><br /></td></tr>
<tr class="separator:ga0b62b3e3bd409568170396a2b56e8e1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae9386ff69f95193aaeb3f10199979d07"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__routines.html#gae9386ff69f95193aaeb3f10199979d07">TIGLCommunicationExistMessagesFromDev</a> (uint_fast32_t dev)</td></tr>
<tr class="memdesc:gae9386ff69f95193aaeb3f10199979d07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if there exist messages with any tag from a given source device.  <a href="group__comm__routines.html#gae9386ff69f95193aaeb3f10199979d07">More...</a><br /></td></tr>
<tr class="separator:gae9386ff69f95193aaeb3f10199979d07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab848bd17d1170ed31806edb6bea1bd0c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__routines.html#gab848bd17d1170ed31806edb6bea1bd0c">TIGLCommunicationExistMessagesWithTag</a> (int tag)</td></tr>
<tr class="memdesc:gab848bd17d1170ed31806edb6bea1bd0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if there exist messages with a given tag from any source.  <a href="group__comm__routines.html#gab848bd17d1170ed31806edb6bea1bd0c">More...</a><br /></td></tr>
<tr class="separator:gab848bd17d1170ed31806edb6bea1bd0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab922207328e48b4acef99280809a1475"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__routines.html#gab922207328e48b4acef99280809a1475">TIGLCommunicationExistTaggedMessageFromDev</a> (int tag, uint_fast32_t dev, int_fast32_t *messageSize)</td></tr>
<tr class="memdesc:gab922207328e48b4acef99280809a1475"><td class="mdescLeft">&#160;</td><td class="mdescRight">checks if there exist messages with a given tag from a given source  <a href="group__comm__routines.html#gab922207328e48b4acef99280809a1475">More...</a><br /></td></tr>
<tr class="separator:gab922207328e48b4acef99280809a1475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga98daaa3a6811aa132b3eef033f518d40"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__routines.html#ga98daaa3a6811aa132b3eef033f518d40">TIGLCommunicationWaitMPINonblocking</a> (MPI_Request *req)</td></tr>
<tr class="memdesc:ga98daaa3a6811aa132b3eef033f518d40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Waits for nonblocking tx/rx.  <a href="group__comm__routines.html#ga98daaa3a6811aa132b3eef033f518d40">More...</a><br /></td></tr>
<tr class="separator:ga98daaa3a6811aa132b3eef033f518d40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad6e0b7c20af66cc9645315b1431c5274"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__routines.html#gad6e0b7c20af66cc9645315b1431c5274">TIGLCommunicationTestMPINonblocking</a> (MPI_Request *req, int *tag, int *messageSize)</td></tr>
<tr class="memdesc:gad6e0b7c20af66cc9645315b1431c5274"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests the status nonblocking tx/rx and return the tag and message size.  <a href="group__comm__routines.html#gad6e0b7c20af66cc9645315b1431c5274">More...</a><br /></td></tr>
<tr class="separator:gad6e0b7c20af66cc9645315b1431c5274"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga01fae9333eb9076db2e160fd0270ca01"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__comm__routines.html#ga01fae9333eb9076db2e160fd0270ca01">TIGLCommunicationTestMPINonblocking</a> (MPI_Request *req)</td></tr>
<tr class="memdesc:ga01fae9333eb9076db2e160fd0270ca01"><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple test the status nonblocking tx/rx.  <a href="group__comm__routines.html#ga01fae9333eb9076db2e160fd0270ca01">More...</a><br /></td></tr>
<tr class="separator:ga01fae9333eb9076db2e160fd0270ca01"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:52 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
